Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# TextRegion Class Reference
[Handlers]

Inheritance diagram for TextRegion:

## Detailed Description

Contains information about region mapping into textual prefix/suffix.

These mappings are stored in HRD files.

## Public Member Functions
| TextRegion (const String *_stext, const String *_etext, const String *_sback, const String *_eback)
| Initial constructor.
| TextRegion (const TextRegion &rd)
| Copy constructor.
void | assignParent (const RegionDefine *_parent)
| Assigns region define with it's parent values.
void | setValues (const RegionDefine *_rd)
| Direct assign of all passed `rd` values.
RegionDefine * | clone () const
## Static Public Member Functions
static const TextRegion * | cast (const RegionDefine *rd)
| Static method, used to cast RegionDefine class into TextRegion class.
## Data Fields
const String * | stext
| Text wrapping information.
const String * | etext
const String * | sback
const String * | eback

## Constructor & Destructor Documentation

TextRegion::TextRegion | ( | const TextRegion & | rd | ) | `[inline]`

| Copy constructor. Clones all values including region reference

## Member Function Documentation

static const TextRegion* TextRegion::cast | ( | const RegionDefine * | rd | ) | `[inline, static]`

  | Static method, used to cast RegionDefine class into TextRegion class. Exceptions:
  | Exception | If casing is not available.

void TextRegion::assignParent | ( | const RegionDefine * | _parent | ) | `[inline, virtual]`

| Assigns region define with it's parent values. All fields are to be replaced, if they are null-ed. Implements RegionDefine.

void TextRegion::setValues | ( | const RegionDefine * | _rd | ) | `[inline, virtual]`

| Direct assign of all passed `rd` values. Do not assign region reference. Implements RegionDefine.

## Field Documentation

const String* TextRegion::stext

| Text wrapping information. Pointers are managed externally.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.